
Infrastructure - Task #824

CN replica auditing

2010-09-07 16:56 - Robert Waltz

Status: Closed Start date: 2011-10-03

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

STORY: As a CN, it is necessary to keep system metadata up to date with respect to object avalability on different nodes in the

system.  For example, when a MN goes offline for some reason, it is necessary for all system metadata to be updated if affected by

the loss of the MN.  Note that this is a DoS attack risk (inadvertent or otherwise) as turning on and off a significant MN repeatedly will

likely causes significant traffic volume through replication and updates propogated through the system. 

TASK: Need a process to audit replicas in dataone.  A membernode for some reason may drop a replica or a membernode leaves

dataone, the replica policy may not correct.

TASK: When a memberNode leaves dataone, the SystemMetadata of all objects that have that memberNode listed as a replica

needs to be updated so as to remove the memberNode from the replicaList

ISSUE: When do we determine a membernode as 'offline', does a simple reboot that affects the machine for 30 seconds during a

ping amount to 'offline' or do we allow some other mechanism to determine 'offline'

Subtasks:

Task # 1816: Create a Sequence Diagram under Use Case 9 for CN ReplicationManager's sch... Closed

Task # 1817: Implement scheduled replica auditing Closed

  Task # 2568: Identify system metadata to have replication information audited. Closed

  Task # 2569: Audit Task generation implementation. Closed

  Task # 2570: Audit task processing Closed

  Task # 2571: Trigger replication auditing Closed

  Task # 3701: Refine CN replica auditing Closed

  Task # 3702: Refine Authoritative MN auditing behavior Closed

Related issues:

Related to Infrastructure - Story #885: excluding member nodes from ObjectLoc... Closed 2014-10-02 2014-10-02

Related to Infrastructure - Story #3764: Event and exception index log service Closed 2013-05-15 2013-08-24

Related to Infrastructure - Story #5533: CCI 1.4.0 Release Closed

History

#1 - 2010-10-07 01:15 - Robert Waltz

- Milestone set to CCI-0.6

- Tracker changed from Task to Story

- Start date set to 2010-10-07

#2 - 2011-05-23 18:08 - Robert Waltz

- Milestone deleted (CCI-0.6)

#3 - 2011-08-30 02:06 - Dave Vieglais

- Position set to 51

#4 - 2011-08-30 02:41 - Dave Vieglais
- Position deleted (60)

- Position set to 41

#5 - 2011-10-07 18:36 - Robert Waltz

- Position deleted (75)

- Position set to 1

- Target version set to Sprint-2011.41-Block.5

#6 - 2011-10-07 18:42 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones

- Subject changed from As a CN, it is necessary to keep system metadata up to date with respect to object avalability on different nodes in the system.

to As a CN, an audit process is necessary to keep system metadata and MN replicas up to date with respect to object availability on different nodes in

the system.

- Milestone set to CCI-0.6.4

#7 - 2011-10-25 16:26 - Dave Vieglais

- Position set to 1

- Target version deleted (Sprint-2011.41-Block.5)

- Position deleted (17)

#8 - 2012-01-06 03:40 - Dave Vieglais

- Position set to 26

- Position deleted (54)

#9 - 2012-10-05 15:18 - Chris Jones

- Due date set to 2012-10-27

- Target version set to Sprint-2012.41-Block.6.1

- Milestone changed from CCI-0.6.4 to CCI-1.2

#10 - 2012-10-24 18:12 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

- Due date changed from 2012-10-27 to 2012-12-01

#11 - 2012-12-04 14:31 - Robert Waltz

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

- Due date changed from 2012-12-01 to 2013-01-19

#12 - 2013-03-01 19:06 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.14-Block.2.3

- Due date changed from 2013-01-19 to 2013-04-13

#13 - 2013-05-15 15:10 - Skye Roseboom

- Due date changed from 2013-04-13 to 2013-05-11

- Target version changed from 2013.14-Block.2.3 to 2013.18-Block.3.1

#14 - 2013-05-15 15:12 - Skye Roseboom

- Target version changed from 2013.18-Block.3.1 to 2013.20-Block.3.2

- Due date changed from 2013-05-11 to 2013-05-25

#15 - 2013-08-02 17:26 - Skye Roseboom
- Due date changed from 2013-05-25 to 2013-08-24

- Target version changed from 2013.20-Block.3.2 to 2013.33-Block.4.4

#16 - 2013-08-14 17:28 - Skye Roseboom

- Status changed from New to In Progress

#17 - 2013-08-14 17:33 - Dave Vieglais

- Status changed from In Progress to New

#18 - 2013-09-11 16:50 - Skye Roseboom

- Due date changed from 2013-08-24 to 2013-09-21

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#19 - 2014-01-06 22:55 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.3

- Due date changed from 2013-09-21 to 2014-02-15

- Target version changed from 2013.37-Block.5.2 to 2014.6-Block.1.3

#20 - 2014-03-14 18:27 - Robert Waltz

- Due date deleted (2014-02-15)

- Target version deleted (2014.6-Block.1.3)

- Start date deleted (2011-10-03)

#21 - 2014-03-14 18:45 - Robert Waltz

- Due date set to 2014-04-12

- Target version set to 2014.14-Block.2.3

- Start date set to 2014-03-30

#22 - 2014-03-14 18:45 - Robert Waltz

- Due date changed from 2014-04-12 to 2014-04-26

- Target version changed from 2014.14-Block.2.3 to 2014.16-Block.2.4

#23 - 2014-03-14 18:59 - Skye Roseboom

- Subject changed from As a CN, an audit process is necessary to keep system metadata and MN replicas up to date with respect to object availability

on different nodes in the system. to CN replica auditing

#24 - 2014-05-05 21:48 - Skye Roseboom

- Target version changed from 2014.16-Block.2.4 to 2014.22-Block.3.3

- Due date changed from 2014-04-26 to 2014-06-07

#25 - 2014-07-08 14:58 - Skye Roseboom

- Status changed from New to In Progress

#26 - 2014-07-31 21:57 - Robert Waltz

- Product Version set to 1.4.0

- Target version deleted (2014.22-Block.3.3)

- Due date deleted (2014-06-07)

- Milestone changed from CCI-1.3 to CCI-1.4

- Start date deleted (2011-10-03)
#27 - 2014-08-26 21:16 - Skye Roseboom

- Start date set to 2014-08-26

- translation missing: en.field_remaining_hours changed from 0.0 to 2.0

- Tracker changed from Story to Task

#28 - 2014-08-26 21:16 - Skye Roseboom

- Status changed from In Progress to Testing

#29 - 2014-09-11 15:55 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours changed from 2.0 to 0.0

Tested in cn-sandbox and cn-stage
